Bug 1353427 - [RFE] CLI to get local state representation for a cluster
Summary: [RFE] CLI to get local state representation for a cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Samikshan Bairagya
QA Contact: Byreddy
URL:
Whiteboard: USM-Gluster integration
Depends On: 1353156 1385839 1387502
Blocks: 1351503
TreeView+ depends on / blocked
 
Reported: 2016-07-07 04:30 UTC by Atin Mukherjee
Modified: 2017-03-23 05:39 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1353156
Environment:
Last Closed: 2017-03-23 05:39:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC
Red Hat Bugzilla 1365837 None None None Never

Internal Links: 1365837

Description Atin Mukherjee 2016-07-07 04:30:49 UTC
+++ This bug was initially created as a clone of Bug #1353156 +++

Description of problem:

There is no existing CLI that can be used to get the current local state representation of the cluster as maintained in glusterd in a readable as well as parseable format. The existing "statedump" infrastructure dumps stats related to memory allocation for a daemon by passing SIGUSR1 to it. This while useful for debugging purposes, does not reflect the local state representation of the cluster.

Expected results:

# gluster get-state [DAEMON] odir <path/to/output/dir>

This would dump data points that reflect the local state representation of the cluster as maintained in glusterd (by default if no daemon name is specified) to a file (say glusterd-state) inside the specified output directory. The option for specifying the daemon name would leave room to add support for other daemons as well. This data if required can then be parsed by external applications to represent the cluster state as obtained from glusterd in any other model.

Comment 2 Atin Mukherjee 2016-07-19 05:40:41 UTC
http://review.gluster.org/14873 posted for review.

Comment 9 Byreddy 2016-10-17 06:05:22 UTC
Verified below things using the build glusterfs-3.8.4-2.

1. CLI and it's options // gluster get-state [DAEMON] odir <path/to/output/dir>
2. Tested for all volume types.
3. Tested all the entries mentioned in the file.


Issues found & Change Requests are tracking in the bug - https://bugzilla.redhat.com/show_bug.cgi?id=1382277



This bug will be moved to VERIFIED STATE once issues and change requests are address.

Comment 10 Byreddy 2016-10-25 11:21:43 UTC
Issues found with the build glusterfs-3.8.4-2 are address in glusterfs-3.8.4-3 build with bz-https://bugzilla.redhat.com/show_bug.cgi?id=1382277.

Moving to verified state.

Comment 12 errata-xmlrpc 2017-03-23 05:39:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.